<?
define('PROTECTOR', 1);

$headmod = 'asshome';//фикс. места

$textl='Гильдия ассасинов';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
$br = mysql_query("SELECT * FROM asasins WHERE city = '$udata[city]' ORDER BY lvl");
////////////////////////////
$avto=mysql_num_rows($br);
if($avto>=1){
While($npc = mysql_fetch_array($br))
{
echo"<img src='pic/main/star.png' alt='*'/> <a href=\"asshome.php?mod=info&amp;id=$npc[id]\">$npc[name]</a>($npc[lvl] уровень) ";
if($npc['status']=='on'){
echo'[свободен]';
}else{
echo'[в походе]';
}
echo'<br/>';
}
}else{
echo"<b>В гильдии нет ассасинов!</b><br/>";
}
break;
case 'info':
if(empty($_GET[id])){
echo'Не выбран ассасин.<br/>';
}

$req = mysql_query("SELECT * FROM `asasins` WHERE `city` = '$udata[city]' and `id`='$_GET[id]' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==1){
$npc = mysql_fetch_array($req);


$req = mysql_query("SELECT * FROM `asasin_info` WHERE `asasin` = '$_GET[id]' LIMIT 1");
$info = mysql_fetch_array($req);

echo'<b>'.$npc[name].'</b>';
echo'<div class="event">';
echo'<img src="pic/assasins/'.$npc[img].'" alt="'.$npc[name].'" style="float:left;margin-right:8px;"/>'.$info['info'];
echo'</div>';
echo'Уровень: '.$npc['lvl'].'<br/>';
echo'Плата за 1 боёв: <img src=pic/main/gold1.png>'.$npc['cena'].'<br/>';
echo'Минимум боёв: '.$npc['min'].'<br/>';
echo'Здоровье: '.$npc['hp'].'/'.$npc['hpall'].'<br/>';
echo'Урон: '.$npc['umin'].'/'.$npc['umax'].'<br/>';
echo'Защита головы: '.$npc['pgolova'].'<br/>';
echo'Защита тела: '.$npc['pbody'].'<br/>';
echo'Защита ног: '.$npc['pnogi'].'<br/>';

echo'Крит: '.$npc['krit'].'%<br/>';
echo'Урон-крит: '.$npc['ukrit'].'%<br/>';
echo'Анит-крит: '.$npc['antikrit'].'%<br/>';
echo'Ловкость: '.$npc['lovk'].'<br/>';

if($npc['status']=='on'){
echo'Статус: свободен<br/>';
echo'<a href="asshome.php?mod=ok&amp;id='.$_GET['id'].'">Нанять</a><br/>';
}else{
echo'Статус: в походе<br/>';
}

}else{
echo'Не выбран ассасин.<br/>';
}
echo"<a href=\"asshome.php?\">Назад</a>";
break;
case 'ok':
if(empty($_GET[id])){
echo'Не выбран ассасин.<br/>';
}

$req = mysql_query("SELECT * FROM `asasins_active` WHERE `usr` = '$log' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto=='1'){
echo'Двух ассасинов нельзя нанимать!';
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `asasins` WHERE `city` = '$udata[city]' and `id`='$_GET[id]' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==1){
$npc = mysql_fetch_array($req);

if($npc['status']!='on'){
echo'Невозможно нанять!';
include($path.'files/down.php');exit;
}
if(empty($_POST['kol'])){
echo "<form action=\"asshome.php?mod=ok&amp;id=$_GET[id]\" method=\"post\">";
echo '<b>Количество боёв: (минимум '.$npc['min'].')</b><br/>';
echo '<input name="kol"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';
}else{
$_POST['kol']=intval($_POST['kol']);

if($_POST['kol']<$npc['min']){
echo'Этот ассасин не принимает заказы меньше чем на '.$npc['min'].' боёв.';
include($path.'files/down.php');exit;
}

$cena=$npc['cena']*$_POST['kol'];

if($udata['money']<$cena){
echo'У вас не хватает <img src=pic/main/gold1.png>!';
include($path.'files/down.php');exit;
}

mysql_query("INSERT INTO
        `asasins_active` SET
        `usr` = '$log',
        `asasin` = '$npc[id]',
        `ltime` = '".time()."',
        `kol` = '$_POST[kol]'");
        
        mysql_query("UPDATE `asasins` SET `status` = 'active' WHERE `id` = '$npc[id]'");     
        
       echo'Ассасин '.$npc['name'].' нанят на '.$_POST['kol'].' боёв!<br/>
       - <img src=pic/main/gold1.png>'.$cena.'
       <br/>';

}
}else{
echo'Не выбран ассасин.<br/>';
}
echo"<a href=\"asshome.php?\">Назад</a>";
break;
}
include($path.'files/down.php');
?>
